Name:           gtksourcecompletion
Version:        0.7.0
Release:        3%{?dist}
Summary:        Completion support for GtkSourceView

Group:          System Environment/Libraries
# Note: mix of LGPLv2+ and LGPLv3+ files
License:        LGPLv3+
URL:            http://gtksourcecomple.sourceforge.net/
Source0:        http://cloud.github.com/downloads/chuchiperriman/gtksourcecompletion/gtksourcecompletion-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtksourceview2-devel libglade2-devel
BuildRequires:  intltool gettext perl(XML::Parser)
#Requires:       

%description
GtkSourceCompletion is a code completion library for GtkSourceView.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
GtkSourceCompletion is a code completion library for GtkSourceView.

The gtksourcecompletion-devel package contains libraries and header
files for developing applications that use GtkSourceCoompletion


%package        doc
Summary:        Documentation files for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       gtk-doc

%description    doc
GtkSourceCompletion is a code completion library for GtkSourceView.

The gtksourcecompletion-doc package contains documentation for
GtkSourceCompletion.


%prep
%setup -q


%build
%configure --disable-static
# remove hardcoded RPATHs
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
%find_lang %{name}-2.0


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}-2.0.lang
%defattr(-,root,root,-)
# COPYING is wrong, not bundling for now
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/completion-*
%{_libdir}/*.so.*
%{_datadir}/gtksourcecompletion

%files devel
%defattr(-,root,root,-)
%doc
%{_bindir}/gio-test
%{_includedir}/gtksourcecompletion-2.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-,root,root,-)
%doc
%{_datadir}/gtk-doc/html/gtksourcecompletion-2.0


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Michel Salim <salimma@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb  5 2009 Michel Salim <salimma@fedoraproject.org> - 0.5.2-1
- Initial package

